using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace BMA.EHR.Infrastructure.Migrations.DisciplineDb
{
    /// <inheritdoc />
    public partial class updatetableDisciplineDisciplinary_DirectorInvestigatesaddCommandNo : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AddColumn<string>(
                name: "CommandNo",
                table: "DisciplineInvestigate_Directors",
                type: "longtext",
                nullable: false,
                comment: "เลขที่คำสั่ง")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "CommandNo",
                table: "DisciplineDisciplinary_DirectorInvestigates",
                type: "longtext",
                nullable: false,
                comment: "เลขที่คำสั่ง")
                .Annotation("MySql:CharSet", "utf8mb4");
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "CommandNo",
                table: "DisciplineInvestigate_Directors");

            migrationBuilder.DropColumn(
                name: "CommandNo",
                table: "DisciplineDisciplinary_DirectorInvestigates");
        }
    }
}
